diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/isdn/pcbit/capi.h linux-2.5/drivers/isdn/pcbit/capi.h
--- bk-linus/drivers/isdn/pcbit/capi.h	2002-11-21 02:15:26.000000000 +0000
+++ linux-2.5/drivers/isdn/pcbit/capi.h	2002-11-21 17:58:41.000000000 +0000
@@ -63,8 +63,7 @@ extern int capi_disc_resp(struct pcbit_c
 extern int capi_decode_debug_188(u_char *hdr, ushort hdrlen);
 #endif
 
-extern __inline__ 
-struct pcbit_chan * 
+static inline struct pcbit_chan * 
 capi_channel(struct pcbit_dev *dev, struct sk_buff *skb)
 {
 	ushort callref;
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/media/video/pms.c linux-2.5/drivers/media/video/pms.c
--- bk-linus/drivers/media/video/pms.c	2002-11-21 02:15:45.000000000 +0000
+++ linux-2.5/drivers/media/video/pms.c	2002-11-21 17:58:56.000000000 +0000
@@ -69,12 +69,12 @@ static int video_nr             =       
 
 	
 
-extern __inline__ void mvv_write(u8 index, u8 value)
+static inline void mvv_write(u8 index, u8 value)
 {
 	outw(index|(value<<8), io_port);
 }
 
-extern __inline__ u8 mvv_read(u8 index)
+static inline u8 mvv_read(u8 index)
 {
 	outb(index, io_port);
 	return inb(data_port);
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/hpfs/hpfs_fn.h linux-2.5/fs/hpfs/hpfs_fn.h
--- bk-linus/fs/hpfs/hpfs_fn.h	2002-11-21 02:20:07.000000000 +0000
+++ linux-2.5/fs/hpfs/hpfs_fn.h	2002-11-21 18:02:12.000000000 +0000
@@ -75,7 +75,7 @@ struct quad_buffer_head {
 
 /* The b-tree down pointer from a dir entry */
 
-extern inline dnode_secno de_down_pointer (struct hpfs_dirent *de)
+static inline dnode_secno de_down_pointer (struct hpfs_dirent *de)
 {
   CHKCOND(de->down,("HPFS: de_down_pointer: !de->down\n"));
   return *(dnode_secno *) ((void *) de + de->length - 4);
@@ -83,14 +83,14 @@ extern inline dnode_secno de_down_pointe
 
 /* The first dir entry in a dnode */
 
-extern inline struct hpfs_dirent *dnode_first_de (struct dnode *dnode)
+static inline struct hpfs_dirent *dnode_first_de (struct dnode *dnode)
 {
   return (void *) dnode->dirent;
 }
 
 /* The end+1 of the dir entries */
 
-extern inline struct hpfs_dirent *dnode_end_de (struct dnode *dnode)
+static inline struct hpfs_dirent *dnode_end_de (struct dnode *dnode)
 {
   CHKCOND(dnode->first_free>=0x14 && dnode->first_free<=0xa00,("HPFS: dnode_end_de: dnode->first_free = %d\n",(int)dnode->first_free));
   return (void *) dnode + dnode->first_free;
@@ -98,58 +98,60 @@ extern inline struct hpfs_dirent *dnode_
 
 /* The dir entry after dir entry de */
 
-extern inline struct hpfs_dirent *de_next_de (struct hpfs_dirent *de)
+static inline struct hpfs_dirent *de_next_de (struct hpfs_dirent *de)
 {
   CHKCOND(de->length>=0x20 && de->length<0x800,("HPFS: de_next_de: de->length = %d\n",(int)de->length));
   return (void *) de + de->length;
 }
 
-extern inline struct extended_attribute *fnode_ea(struct fnode *fnode)
+static inline struct extended_attribute *fnode_ea(struct fnode *fnode)
 {
 	return (struct extended_attribute *)((char *)fnode + fnode->ea_offs);
 }
 
-extern inline struct extended_attribute *fnode_end_ea(struct fnode *fnode)
+static inline struct extended_attribute *fnode_end_ea(struct fnode *fnode)
 {
 	return (struct extended_attribute *)((char *)fnode + fnode->ea_offs + fnode->ea_size_s);
 }
 
-extern inline struct extended_attribute *next_ea(struct extended_attribute *ea)
+static inline struct extended_attribute *next_ea(struct extended_attribute *ea)
 {
 	return (struct extended_attribute *)((char *)ea + 5 + ea->namelen + ea->valuelen);
 }
 
-extern inline secno ea_sec(struct extended_attribute *ea)
+static inline secno ea_sec(struct extended_attribute *ea)
 {
 	return *(secno *)((char *)ea + 9 + ea->namelen);
 }
 
-extern inline secno ea_len(struct extended_attribute *ea)
+static inline secno ea_len(struct extended_attribute *ea)
 {
 	return *(secno *)((char *)ea + 5 + ea->namelen);
 }
 
-extern inline char *ea_data(struct extended_attribute *ea)
+static inline char *ea_data(struct extended_attribute *ea)
 {
 	return (char *)((char *)ea + 5 + ea->namelen);
 }
 
-extern inline unsigned de_size(int namelen, secno down_ptr)
+static inline unsigned de_size(int namelen, secno down_ptr)
 {
 	return ((0x1f + namelen + 3) & ~3) + (down_ptr ? 4 : 0);
 }
 
-extern inline void copy_de(struct hpfs_dirent *dst, struct hpfs_dirent *src)
+static inline void copy_de(struct hpfs_dirent *dst, struct hpfs_dirent *src)
 {
-	int a = dst->down;
-	int n = dst->not_8x3;
+	int a;
+	int n;
 	if (!dst || !src) return;
+	a = dst->down;
+	n = dst->not_8x3;
 	memcpy((char *)dst + 2, (char *)src + 2, 28);
 	dst->down = a;
 	dst->not_8x3 = n;
 }
 
-extern inline unsigned tstbits(unsigned *bmp, unsigned b, unsigned n)
+static inline unsigned tstbits(unsigned *bmp, unsigned b, unsigned n)
 {
 	int i;
 	if ((b >= 0x4000) || (b + n - 1 >= 0x4000)) return n;
@@ -314,13 +316,13 @@ extern struct address_space_operations h
  * local time (HPFS) to GMT (Unix)
  */
 
-extern inline time_t local_to_gmt(struct super_block *s, time_t t)
+static inline time_t local_to_gmt(struct super_block *s, time_t t)
 {
 	extern struct timezone sys_tz;
 	return t + sys_tz.tz_minuteswest * 60 + hpfs_sb(s)->sb_timeshift;
 }
 
-extern inline time_t gmt_to_local(struct super_block *s, time_t t)
+static inline time_t gmt_to_local(struct super_block *s, time_t t)
 {
 	extern struct timezone sys_tz;
 	return t - sys_tz.tz_minuteswest * 60 - hpfs_sb(s)->sb_timeshift;
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/media/video/bw-qcam.c linux-2.5/drivers/media/video/bw-qcam.c
--- bk-linus/drivers/media/video/bw-qcam.c	2002-11-21 02:15:43.000000000 +0000
+++ linux-2.5/drivers/media/video/bw-qcam.c	2002-11-21 17:58:54.000000000 +0000
@@ -89,27 +89,27 @@ MODULE_PARM(yieldlines,"i");   
 MODULE_PARM(video_nr,"i");
 #endif
 
-extern __inline__ int read_lpstatus(struct qcam_device *q)
+static inline int read_lpstatus(struct qcam_device *q)
 {
 	return parport_read_status(q->pport);
 }
 
-extern __inline__ int read_lpcontrol(struct qcam_device *q)
+static inline int read_lpcontrol(struct qcam_device *q)
 {
 	return parport_read_control(q->pport);
 }
 
-extern __inline__ int read_lpdata(struct qcam_device *q)
+static inline int read_lpdata(struct qcam_device *q)
 {
 	return parport_read_data(q->pport);
 }
 
-extern __inline__ void write_lpdata(struct qcam_device *q, int d)
+static inline void write_lpdata(struct qcam_device *q, int d)
 {
 	parport_write_data(q->pport, d);
 }
 
-extern __inline__ void write_lpcontrol(struct qcam_device *q, int d)
+static inline void write_lpcontrol(struct qcam_device *q, int d)
 {
 	parport_write_control(q->pport, d);
 }
@@ -506,7 +506,7 @@ void qc_set(struct qcam_device *q)
    the supplied buffer.  It returns the number of bytes read,
    or -1 on error. */
 
-extern __inline__ int qc_readbytes(struct qcam_device *q, char buffer[])
+static inline int qc_readbytes(struct qcam_device *q, char buffer[])
 {
 	int ret=1;
 	unsigned int hi, lo;
